
@font-face {
    font-family: 'ItalianBreakfast';
    src: url('res/fonts/ItalianBreakfast-Regular.otf') format("woff2");
}
@font-face {
    font-family: 'MadeleinaSans';
    src: url('res/fonts/MadeleinaSans.otf') format("woff2");
}

body{
    padding: 0;
    margin: 0;
    font-family: 'MadeleinaSans';
    overflow-x: hidden;
    background-color: #DDD;
}
#header{
    position: fixed;
    width: 100%;
    height: 75px;
    background-color: transparent;
    z-index: 3;
    text-align: center;
    transition: 0.15s;
}
#header.scrolled {
    height: 50px;
    background-color: #333;
}
#header ul {
    margin: 0;
    padding: 0;
}
#header ul li {
    display: inline-block;
    list-style: none;
    padding: 0px 20px;
    transition: box-shadow 0.2s;
}
#header ul li:hover {
    cursor: pointer;
    box-shadow: inset 0px -2px 0px 0px #FFF;
}

#header ul li a {
    color: #EEE;
    text-decoration: none;
    font-size: 30px;
    line-height: 80px;
    transition: 0.15s;
}
#header.scrolled ul li a {
    color: #DDD;
    line-height: 50px;
    font-size: 22px;
}



#home {
    position: relative;
    width: 100%;
    height: 100%;
    box-shadow: 0px 25px 20px 5px inset;
}
#home img {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    z-index: 1;
    filter: sepia(35%) brightness(50%) drop-shadow(3px 3px 3px rgba(0,0,0,0.6));
}

#home h1, #home h2 {
    position: relative;
    color: white;
    text-align: center;
    top: 10%;
    font-family: 'ItalianBreakfast';
    font-weight: normal;
    margin: 0;
    z-index: 2;
}
#home h1 {
    font-size: 200px;
}
#home h2 {
    font-size: 120px;
    line-height: 60px;
}




#histoire {
    position: relative;
    top: 240px;
    width: 100%;
    height: 100%;
    z-index: 0;
}

#histoireBlocTxt {
    position: relative;
    display: inline-block;
    width: 60%;
    height: 100%;
    box-shadow: 0 15px 10px 0 #333;
    opacity: 0;
    transition: 1s;
}
#histoireBlocTxt.visible h1,#histoireBlocTxt.visible p{
    left: 0;
}
#histoireBlocTxt h1 {
    position: relative;
    left: -100px;
    color: #333;
    text-align: center;
    font-family: 'ItalianBreakfast';
    font-weight: normal;
    margin: 100px 0;
    font-size: 140px;
    line-height: 70px;
    transition: 1s;
}
#histoireBlocTxt p {
    position: relative;
    left: -100px;
    display: block;
    width: 50%;
    margin: 40px auto;
    font-size: 25px;
    transition: 1s;
}
#histoire img{
    width: 40%;
    height: 100%;
    float: right;
}




#prestations::before{
    content: '';
    position: absolute;
    top: -55px;
    display: block;
    width: 110%;
    height: 100px;
    z-index: 1;
    background: #EEE;
    transform: rotate(-3deg);
    box-shadow: 0 -10px 10px -10px #333;
}
#prestations {
    position: relative;
    top: 140px;
    width: 100%;
    height: 100%;
    background: #EEE;
}
#prestations h1 {
    position: relative;
    top: -100px;
    color: #333;
    text-align: center;
    font-family: 'ItalianBreakfast';
    font-weight: normal;
    margin-bottom: 50px;
    padding-top: 50px;
    font-size: 140px;
    opacity: 0;
    transition: 1s;
}
#prestations h1.visible{
    top: 0;
}
#prestations #choiceBloc {
    position: relative;
    width: 90%;
    margin: auto;
}
#prestations .choice .choiceName {
    position: relative;
    width: 18%;
    font-size: 28px;
    line-height: 30px;
    padding: 20px 1%;
    transition: 0.15s;
}
#prestations .choice .choiceName.selected {
    background: #DDD;
    border: 1px solid #CCC;
    border-right: 0;
    z-index: 2;
}
#prestations .choice .choiceName:not(.selected):hover {
    background: #E7E7E7;
    cursor: pointer;
}
#prestations .choice .choiceName img {
    vertical-align: middle;
    width: 30px;
}
#prestations .choice .choiceName img.chevron {
    float: right;
}
#prestations .choiceName span {
    vertical-align: middle;
    margin-left: 10px;
}

#prestations .choice .choiceDescr {
    position: absolute;
    display: inline-block;
    top: 0;
    left: calc(20% - 1px);
    width: 80%;
    height: 600px;
    background: #DDD;
    border: 1px solid #CCC;
    z-index: 1;
}
#prestations .choice .choiceDescr.hidden {
    display: none;
}

/*** CHOICE FORMULE ***/
#prestations #choiceFormules .formule{
    display: inline-block;
    width: 33%;
    height: 100%;
    vertical-align: top;
    text-align: center;
    font-size: 20px;
    transition: 0.15s;
}
#prestations #choiceFormules .formule:not(.selectedFormule):hover{
    cursor: pointer;
    background-color: #D7D7D7;
}
#prestations #choiceFormules .formule.selectedFormule{
    position: absolute;
    left: 0;
    border-right: 1px solid #CCC;
}
#prestations #choiceFormules .formule.hiddenFormule{
    position: absolute;
    left: -9999px;
    opacity: 0;
    z-index: -1;
}
#prestations #choiceFormules .formule h4{
    display: block;
    font-size: 26px;
}
#prestations #choiceFormules .formule .seeExample{
    margin-top: 30px;
    font-size: 26px;
    font-weight: bold;
    opacity: 0;
    transition: 0.15s;
}
#prestations #choiceFormules .formule:not(.selectedFormule):hover .seeExample{
    opacity: 1;
}
#prestations #choiceFormules .formule div.formulePrice{
    font-weight: bold;
}
#prestations #choiceFormules .formule .formuleExample {
    position: absolute;
    left: 100%;
    top: 0;
    display: none;
    width: calc(200% - 40px);
    height: calc(100% - 40px);
    padding: 20px;
}
#prestations #choiceFormules .formule.selectedFormule .formuleExample {
    display: inline-block;
}
#prestations #choiceFormules .formule .formuleExample span {
    display: block;
    margin-bottom: 20px;
    font-size: 26px;
    font-weight: bold;
}
#prestations #choiceFormules .formule .formuleExample img {
    position: absolute;
    right: 20px;
    top: 20px;
    width: 25px;
    transition: 0.15s;
}
#prestations #choiceFormules .formule .formuleExample img:hover {
    position: absolute;
    right: 18px;
    top: 18px;
    width: 29px;
    cursor: pointer;
}
#prestations #choiceFormules .formule .formuleExample span.formuleExampleContact {
    margin-top: 30px;
    font-size: 18px;
    font-weight: normal;
    color: #555;
    transition: 0.15s;
}
#prestations #choiceFormules .formule .formuleExample span.formuleExampleContact:hover {
    cursor: pointer;
    color: #333;
}


/*** CHOICE COCKTAILS ***/
#prestations #choiceCocktails .choiceDescr p{
    display: inline-block;
    width: 50%;
    text-align: center;
    vertical-align: middle;
    line-height: 26px;
    font-size: 20px;
}
#prestations #choiceCocktails .choiceDescr img{
    width: 24%;
    vertical-align: middle;
    box-shadow: 0 0 10px -1px #333;
    margin: 30px 13% 30px 13%;
}


/*** CHOICE BUFFETS ***/
#prestations #choiceBuffets .choiceDescr .buffet{
    display: inline-block;
    width: calc(50% - 1px);
    height: calc(50% - 1px);
    transition: 0.15s;
}
#prestations #choiceBuffets .choiceDescr .buffet:hover{
    background-color: #D7D7D7;
    cursor: pointer;
}
#prestations #choiceBuffets .choiceDescr .buffet:nth-child(2n){
    border-left: 1px solid #CCC;
}
#prestations #choiceBuffets .choiceDescr .buffet:first-child, #prestations #choiceBuffets .choiceDescr .buffet:nth-child(2){
    border-bottom: 1px solid #CCC;
}
#prestations #choiceBuffets .choiceDescr .buffet .buffetName{
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    text-align: center;
}
#prestations #choiceBuffets .choiceDescr .buffet .buffetName span{
    font-size: 28px;
    font-weight: bold;
}
#prestations #choiceBuffets .choiceDescr .buffet .buffetName .buffetIcon{
    display: block;
    width: 100px;
    margin: 20px auto 0;
}
#prestations #choiceBuffets .choiceDescr .buffet .buffetName .closeBuffetIcon{
    display: none;
    position: relative;
    float: right;
    top: 50%;
    transform: translateY(-50%); 
    width: 25px;
    transition: 0.15s;
}
#prestations #choiceBuffets .choiceDescr .buffet .buffetName .closeBuffetIcon:hover{
    width: 29px;
    cursor: pointer;
}
#prestations #choiceBuffets .choiceDescr .buffet .buffetDescr{
    display: none;
    height: calc(100% - 60px);
    font-size: 18px;
    text-align: center;
}
#prestations #choiceBuffets .choiceDescr .buffet .buffetDescr .buffetCol{
    position: relative;
    display: inline-block;
    height: 100%;
    vertical-align: top;
    line-height: 30px;
}
#prestations #choiceBuffets .choiceDescr #breakfastBuffet.buffet .buffetDescr .buffetCol:nth-child(1){
    background: linear-gradient(to bottom, #DDD 65%, transparent), no-repeat center url(res/hotDrinks.jpg);
    background-size: 100%;
    background-position: bottom;
}
#prestations #choiceBuffets .choiceDescr #breakfastBuffet.buffet .buffetDescr .buffetCol:nth-child(2){
    background: linear-gradient(to bottom, #DDD 60%, transparent), no-repeat center url(res/juiceBar.jpg);
    background-size: 100%;
    background-position: bottom;
}
#prestations #choiceBuffets .choiceDescr #breakfastBuffet.buffet .buffetDescr .buffetCol:nth-child(3){
    background: linear-gradient(to bottom, #DDD 60%, transparent), no-repeat center url(res/viennoiserieBuffet.jpg);
    background-size: 100%;
    background-position: bottom;
}
#prestations #choiceBuffets .choiceDescr #breakfastBuffet.buffet .buffetDescr .buffetCol:nth-child(4){
    background: linear-gradient(to bottom, #DDD 60%, transparent), no-repeat center url(res/verrineFruitBuffet.jpg);
    background-size: 100%;
    background-position: bottom;
}

#prestations #choiceBuffets .choiceDescr #appetizerBuffet.buffet .buffetDescr .buffetCol:nth-child(1){
    background: linear-gradient(to bottom, #DDD 65%, transparent), no-repeat center url(res/cocktailImg1.png);
    background-size: 100%;
    background-position: bottom;
}
#prestations #choiceBuffets .choiceDescr #appetizerBuffet.buffet .buffetDescr .buffetCol:nth-child(2){
    background: linear-gradient(to bottom, #DDD 60%, transparent), no-repeat center url(res/buffetBrochettes.jpg);
    background-size: 100%;
    background-position: bottom;
}
#prestations #choiceBuffets .choiceDescr #appetizerBuffet.buffet .buffetDescr .buffetCol:nth-child(3){
    background: linear-gradient(to bottom, #DDD 60%, transparent), no-repeat center url(res/cocktailImg2.png);
    background-size: 100%;
    background-position: bottom;
}

#prestations #choiceBuffets .choiceDescr #plateBuffet.buffet .buffetDescr .buffetCol:nth-child(1){
    background: linear-gradient(to bottom, #DDD 65%, transparent), no-repeat center url(res/buffetSalad.jpg);
    background-size: 100%;
    background-position: bottom;
}
#prestations #choiceBuffets .choiceDescr #plateBuffet.buffet .buffetDescr .buffetCol:nth-child(2){
    background: linear-gradient(to bottom, #DDD 60%, transparent), no-repeat center url(res/buffetPizza.jpg);
    background-size: 100%;
    background-position: bottom;
}

#prestations #choiceBuffets .choiceDescr #dessertBuffet.buffet .buffetDescr .buffetCol2:nth-child(2){
    background: linear-gradient(to bottom, #DDD 65%, transparent), no-repeat center url(res/buffetDessert1.jpg);
    background-size: 100%;
    background-position: bottom;
}
#prestations #choiceBuffets .choiceDescr #dessertBuffet.buffet .buffetDescr .buffetCol2:nth-child(3){
    background: linear-gradient(to bottom, #DDD 60%, transparent), no-repeat center url(res/buffetDessert2.jpg);
    background-size: 100%;
    background-position: bottom;
}

#prestations #choiceBuffets .choiceDescr .buffet.selectedBuffet{
    display: block;
    width: 100%;
    height: 100%;
    border: 0;
}
#prestations #choiceBuffets .choiceDescr .buffet.selectedBuffet:hover{
    cursor: unset;
    background: #DDD;
}
#prestations #choiceBuffets .choiceDescr .buffet.selectedBuffet .buffetName{
    top: 0;
    transform: translateY(0);
    text-align: left;
    padding: 10px;
    height: 40px;
    line-height: 40px;
    border-bottom: 1px solid #CCC;
}
#prestations #choiceBuffets .choiceDescr .buffet.selectedBuffet .buffetName .buffetIcon{
    position: relative;
    top: 10%;
    float: left;
    margin: 0 10px 0 0;
    height: 80%;
    vertical-align: middle;
    width: auto;
}
#prestations #choiceBuffets .choiceDescr .buffet.selectedBuffet .buffetName .closeBuffetIcon{
    display: block;
}
#prestations #choiceBuffets .choiceDescr .buffet.selectedBuffet .buffetDescr{
    display: block;
}
#prestations #choiceBuffets .choiceDescr .buffet.selectedBuffet .buffetCol:not(:first-child){
    border-left: 1px solid #CCC;
}
#prestations #choiceBuffets .choiceDescr #breakfastBuffet.buffet.selectedBuffet .buffetCol{
    width: calc(25% - 1px);
}
#prestations #choiceBuffets .choiceDescr #appetizerBuffet.buffet.selectedBuffet .buffetCol{
    width: calc(33.3% - 1px);
}
#prestations #choiceBuffets .choiceDescr #plateBuffet.buffet.selectedBuffet .buffetCol, #prestations #choiceBuffets .choiceDescr .buffet.selectedBuffet .buffetCol2{
    display: inline-block;
    width: calc(50% - 1px);
}
#prestations #choiceBuffets .choiceDescr #dessertBuffet.buffet.selectedBuffet .buffetCol2{
    position: relative;
    height: calc(100% - 65px);
    width: 50%;
    line-height: 30px;
    vertical-align: top;
}
#prestations #choiceBuffets .choiceDescr .buffet.selectedBuffet .buffetDescr b {
    display: block;
    font-size: 22px;
    margin: 20px 0;
    text-align: center;
}
#prestations #choiceBuffets .choiceDescr .buffet.hiddenBuffet{
    position: absolute;
    left: -9999px;
    opacity: 0;
    z-index: -2;
}


/*** CHOICE BOISSONS ***/
#prestations #choiceBoissons .drinksCol{
    display: inline-block;
    width: 50%;
    padding-top: 30px;
    text-align: center;
    vertical-align: top;
}
#prestations #choiceBoissons .drinksCol .drinksTitle{
    display: block;
    font-size: 26px;
    font-weight: bold;
    margin: 20px 0;
}
#prestations #choiceBoissons .drinksCol p{
    font-size: 20px;
    margin-top: 20px;
    line-height: 30px;
}
#prestations #choiceBoissons .drinksCol img{
    width: 40%;
    margin: auto;
    box-shadow: 0 0 10px -1px #333;
}



#prestations::after{
    content: '';
    position: absolute;
    bottom: -55px;
    display: block;
    width: 110%;
    height: 100px;
    z-index: 1;
    background: #EEE;
    transform: rotate(3deg);
    box-shadow: 0 10px 10px -10px #333;
}



#contact {
    position: relative;
    top: 240px;
    width: 100%;
    background: #DDD;
    z-index: 0;
    opacity: 0;
    transition: 1s;
}
#contact.visible {
    top: 140px;
}

#contact h1 {
    position: relative;
    color: #333;
    text-align: center;
    font-family: 'ItalianBreakfast';
    font-weight: normal;
    margin: 100px 0 0;
    padding: 50px;
    font-size: 140px;
}
#phoneAndMailBloc {
    width: max-content;
    margin: auto;
}
.contactInfo {
    display: inline-block;
    margin: 0 20px;
}
.contactInfo img {
    width: 20px;
    vertical-align: middle;
}
.contactInfo span {
    font-size: 25px;
    vertical-align: middle;
    color: #333;
}

#contact form {
    width: 30%;
    margin: 50px auto 0;
    color: #333;
}
#contact label{
    font-size: 20px;
}
#contact input, #contact textarea{
    width: 100%;
    font-size: 20px;
    padding: 10px;
    font-family: 'MadeleinaSans';
    margin-bottom: 20px;
    border-radius: 4px;
    border: 1px solid #BBB;
    color: #333;
}
#contact textarea {
    min-height: 150px;
}
#sendForm {
    border: 1px solid #BBB;
    background: #FFF;
    padding: 10px;
    width: 25%;
    float: right;
    border-radius: 4px;
    color: #333;
    transition: 0.15s;
    font-family: 'MadeleinaSans';
}
#sendForm:hover {
    border: 1px solid #999;
    background: #CCC;
    cursor: pointer;
}




#footer{
    position: relative;
    width: 100%;
    height: 50px;
    background: #333;
    top: 200px;
    line-height: 50px;
}
#footer a{
    display: block;
    color: #EEE;
    margin: auto;
    text-decoration: none;
    width: max-content;
}


.visible {
    opacity: 1!important;
}
